summaryrefslogtreecommitdiffstats
path: root/deps
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-12-17 16:20:30 +0100
committer Eric Hameleers <alien@slackware.com>2015-12-17 16:20:30 +0100
commit71b200f935c898c2a0d8cc8f6ee4af0dc7950623 (patch)
treeb43037a90cf07efe0adefd98dc3d5ac926f41671 /deps
parentbf38aa29b1d47089e027a28f5f9a7870aba8b677 (diff)
downloadktown-71b200f935c898c2a0d8cc8f6ee4af0dc7950623.tar.gz
ktown-71b200f935c898c2a0d8cc8f6ee4af0dc7950623.tar.xz
Updated/added deps for KDE-5_15.12
Updated: OpenAL PyQt5 lmdb noto-font-ttf noto-cjk-font-ttf Added: sip libxkbcommon
Diffstat (limited to 'deps')
-rwxr-xr-xdeps/OpenAL/OpenAL.SlackBuild4
-rwxr-xr-xdeps/PyQt5/PyQt5.SlackBuild2
-rwxr-xr-xdeps/alldeps.SlackBuild4
-rw-r--r--deps/libxkbcommon/.url2
-rwxr-xr-xdeps/libxkbcommon/libxkbcommon.SlackBuild118
-rw-r--r--deps/libxkbcommon/slack-desc19
-rw-r--r--deps/lmdb/.url1
-rwxr-xr-xdeps/lmdb/lmdb.SlackBuild2
-rw-r--r--deps/noto-cjk-font-ttf/.url1
-rw-r--r--deps/noto-cjk-font-ttf/HISTORY128
-rw-r--r--deps/noto-cjk-font-ttf/LICENSE92
-rw-r--r--deps/noto-cjk-font-ttf/NEWS15
-rwxr-xr-xdeps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild80
-rw-r--r--deps/noto-cjk-font-ttf/slack-desc19
-rw-r--r--deps/noto-font-ttf/.url1
-rwxr-xr-xdeps/noto-font-ttf/noto-font-ttf.SlackBuild97
-rw-r--r--deps/noto-font-ttf/slack-desc19
-rw-r--r--deps/qt-gstreamer/patches/qt-gstreamer_find_gstconfig.patch29
-rwxr-xr-xdeps/qt-gstreamer/qt-gstreamer.SlackBuild7
-rwxr-xr-xdeps/sip/sip.SlackBuild110
-rw-r--r--deps/sip/slack-desc19
-rwxr-xr-xdeps/updates.SlackBuild4
22 files changed, 768 insertions, 5 deletions
diff --git a/deps/OpenAL/OpenAL.SlackBuild b/deps/OpenAL/OpenAL.SlackBuild
index 984b4c1..389c597 100755
--- a/deps/OpenAL/OpenAL.SlackBuild
+++ b/deps/OpenAL/OpenAL.SlackBuild
@@ -25,8 +25,8 @@
PKGNAM=OpenAL
SRCNAM=openal-soft
-VERSION=${VERSION:-1.16.0}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.17.0}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
CWD=$(pwd)
diff --git a/deps/PyQt5/PyQt5.SlackBuild b/deps/PyQt5/PyQt5.SlackBuild
index 09eee96..3ac8812 100755
--- a/deps/PyQt5/PyQt5.SlackBuild
+++ b/deps/PyQt5/PyQt5.SlackBuild
@@ -28,7 +28,7 @@
PKGNAM=PyQt5
SRCNAM=PyQt
-VERSION=${VERSION:-5.5}
+VERSION=${VERSION:-5.5.1}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
diff --git a/deps/alldeps.SlackBuild b/deps/alldeps.SlackBuild
index 857c5c7..efc408d 100755
--- a/deps/alldeps.SlackBuild
+++ b/deps/alldeps.SlackBuild
@@ -32,6 +32,7 @@ ALLDEPS=" \
grantlee \
grantlee-qt4 \
wayland \
+ libxkbcommon \
json-glib \
libdbusmenu-gtk \
libindicator \
@@ -40,6 +41,9 @@ ALLDEPS=" \
lmdb \
libproxy \
telepathy \
+ noto-font-ttf \
+ noto-cjk-font-ttf \
+
"
# Not needed, conflicts with qt-gstreamer files
#qt-gstreamer0 \
diff --git a/deps/libxkbcommon/.url b/deps/libxkbcommon/.url
new file mode 100644
index 0000000..9840880
--- /dev/null
+++ b/deps/libxkbcommon/.url
@@ -0,0 +1,2 @@
+http://xkbcommon.org/download/libxkbcommon-0.5.0.tar.xz
+
diff --git a/deps/libxkbcommon/libxkbcommon.SlackBuild b/deps/libxkbcommon/libxkbcommon.SlackBuild
new file mode 100755
index 0000000..7e832e7
--- /dev/null
+++ b/deps/libxkbcommon/libxkbcommon.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2015 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=libxkbcommon
+VERSION=${VERSION:-0.5.0}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ -e $CWD/machine.conf ]; then
+ . $CWD/machine.conf ]
+elif [ -e /etc/slackbuild/machine.conf ]; then
+ . /etc/slackbuild/machine.conf ]
+else
+ # Automatically determine the architecture we're building on:
+ MARCH=$( uname -m )
+ if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+ fi
+ # Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+ if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv5te"
+ LIBDIRSUFFIX=""
+ else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ fi
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-static \
+ --build=$TARGET
+
+# Build and install:
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ README INSTALL TODO COPYING ChangeLog \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# Strip binaries (if any):
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/libxkbcommon/slack-desc b/deps/libxkbcommon/slack-desc
new file mode 100644
index 0000000..6e5e0ea
--- /dev/null
+++ b/deps/libxkbcommon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libxkbcommon: libxkbcommon (library to handle keyboard descriptions)
+libxkbcommon:
+libxkbcommon: xkbcommon is a library to handle keyboard descriptions, including
+libxkbcommon: loading them from disk, parsing them and handling their state.
+libxkbcommon: It's mainly meant for client toolkits, window systems, and other
+libxkbcommon: system applications; currently that includes Wayland, kmscon,
+libxkbcommon: GTK+, Qt, Clutter, and more. It is also used by some XCB
+libxkbcommon: applications for proper keyboard support.
+libxkbcommon:
+libxkbcommon:
+libxkbcommon: Home page: http://xkbcommon.org/
diff --git a/deps/lmdb/.url b/deps/lmdb/.url
new file mode 100644
index 0000000..b29e6d0
--- /dev/null
+++ b/deps/lmdb/.url
@@ -0,0 +1 @@
+https://github.com/LMDB/lmdb/archive/LMDB_0.9.17.tar.gz
diff --git a/deps/lmdb/lmdb.SlackBuild b/deps/lmdb/lmdb.SlackBuild
index 416015f..7ae93ae 100755
--- a/deps/lmdb/lmdb.SlackBuild
+++ b/deps/lmdb/lmdb.SlackBuild
@@ -23,7 +23,7 @@
PKGNAM=lmdb
-VERSION=${VERSION:-0.9.16}
+VERSION=${VERSION:-0.9.17}
BUILD=${BUILD:-1}
CWD=$(pwd)
diff --git a/deps/noto-cjk-font-ttf/.url b/deps/noto-cjk-font-ttf/.url
new file mode 100644
index 0000000..4fd3b76
--- /dev/null
+++ b/deps/noto-cjk-font-ttf/.url
@@ -0,0 +1 @@
+https://github.com/googlei18n/noto-cjk/archive/v1.004.tar.gz
diff --git a/deps/noto-cjk-font-ttf/HISTORY b/deps/noto-cjk-font-ttf/HISTORY
new file mode 100644
index 0000000..c63fb9f
--- /dev/null
+++ b/deps/noto-cjk-font-ttf/HISTORY
@@ -0,0 +1,128 @@
+-------------------
+Prior Release Notes
+-------------------
+
+Noto Sans CJK 1.003 Release Notes
+=================================
+
+June 8, 2015
+
+- Regularized the vertical metrics across all weights by setting the O/2.uWinAscent and
+ O/2.uWinDescent values to 1160 and 320 respectively and using those sames values in the
+ horizontal header (hhea) table.
+- The ‘locl’ GSUB feature was reconfigured to be usable in a broader range of contexts.
+
+
+
+Noto Sans CJK 1.002 Release Notes
+=================================
+
+April 20, 2015
+
+This release includes a license change, the addition of several new font instances, and a
+number of bug fixes.
+
+----------------------
+License Change
+----------------------
+The open source license is changed from Apache License, Version 2.0 to SIL Open Font
+License, Version 1.1.
+
+---------------------------
+New Font Instances
+---------------------------
+In total eight (4 languages x 2 weights) monospaced half-width OTF fonts were added, in
+regular and bold weights.
+
+ - Noto Sans Mono CJK SC Regular and Bold
+ - Noto Sans Mono CJK JP Regular and Bold
+ - Noto Sans Mono CJK KR Regular and Bold
+ - Noto Sans Mono CJK TC Regular and Bold
+
+The monospace fonts differ from the existing ones only in that the default (encoded)
+glyphs for ASCII (U+0020 to U+007E), U+00A0 ( ), U+00A5 (¥), U+2011 (‑), and U+20A9 (₩)
+are half-width instead of proportional.
+
+The new monospace fonts can be found in:
+ - All-in-one CJK super OTC font (now includes 36 font instances)
+ - CJK OTF fonts with different default language (two additional font instances for each
+ language)
+ - NotoSansCJK-Regular.ttc and NotoSansCJK-Bold.ttc (four additional font instances in
+ each)
+
+Although eight new font instances were added, the footprint of the super OTC only
+increased by 1M or so, mainly due to the four additional 'cmap' tables. Two of the seven
+OTC now contain eight font instances.
+
+--------------
+Bug Fixes
+--------------
+The Noto issues that have been fixed include:
+
+ - https://code.google.com/p/noto/issues/detail?id=74
+ - https://code.google.com/p/noto/issues/detail?id=126
+ - https://code.google.com/p/noto/issues/detail?id=136
+ - https://code.google.com/p/noto/issues/detail?id=151
+ - https://code.google.com/p/noto/issues/detail?id=182
+ - https://code.google.com/p/noto/issues/detail?id=193
+ - https://code.google.com/p/noto/issues/detail?id=266
+
+In addition to the issues tracked at code.google.com/p/noto/issues, there are also a
+number of fixes to issues tracked at https://github.com/adobe-fonts/source-han-sans.
+Please find the details in the release notes for Source Han Sans.
+
+
+=================================
+Noto Sans CJK 1.001 Release Notes
+=================================
+
+September 12, 2014
+
+With this release there have been a number of bug fixes and some
+reorganization of the packages. The package reorganization carries with it
+a small name change that affects the name of the file, menu name, and the
+internal PostScript name of the original OTF format font. This is a one
+time name change only and names will be stable going forward.
+
+Bug Fixes
+---------
+There have been a number of fixes but the two most obvious ones are the fix
+in the alignment of the traditional Chinese punctuation and adjustment of
+the designs used for traditional Chinese to align better for usage in Hong
+Kong.
+
+https://code.google.com/p/noto/issues/detail?id=38
+https://code.google.com/p/noto/issues/detail?id=54
+
+Package Reorganization
+----------------------
+With this release there was an expansion in the number of file formats and
+combinations in which the fonts are being made available.
+
+There are now four major groups of font files by package in this release.
+These are:
+
+* Super OpenType Collection (Super OTC)
+ - This is a new format this release that bundles all 7 weights for all 4
+ languages into one large font resource. It is smaller overall than
+ the combination of the 28 fonts that would be used otherwise because
+ of resource sharing and it is much easier to install.
+
+* OpenType Collection (OTC)
+ - Each OTC fully supports each of the four languages. There are 7 of these
+ with one for each weight.
+
+* Language Specific OTF
+ - Each font file supports each of the four languages by using the OpenType
+ ‘locl’ feature. However, by default, when the ‘locl’ feature is not
+ used, each font file supports a specific language. That means that
+ there are 28 font files - 4 languages x 7 weights.
+ - This format of 4 language specific variants is new with this release and
+ replaces the previous single language variant that required the use of
+ the ‘locl’ feature. This is where the name change occurred as we now
+ tag the various versions with the name of the default language.
+
+* Region Specific OTF subsets
+ - Each font file supports a region specific subset of the full fonts.
+ These contain only the glyphs needed for the specific region. There
+ are 28 of these font files - 4 languages x 7 weights.
diff --git a/deps/noto-cjk-font-ttf/LICENSE b/deps/noto-cjk-font-ttf/LICENSE
new file mode 100644
index 0000000..d952d62
--- /dev/null
+++ b/deps/noto-cjk-font-ttf/LICENSE
@@ -0,0 +1,92 @@
+This Font Software is licensed under the SIL Open Font License,
+Version 1.1.
+
+This license is copied below, and is also available with a FAQ at:
+http://scripts.sil.org/OFL
+
+-----------------------------------------------------------
+SIL OPEN FONT LICENSE Version 1.1 - 26 February 2007
+-----------------------------------------------------------
+
+PREAMBLE
+The goals of the Open Font License (OFL) are to stimulate worldwide
+development of collaborative font projects, to support the font
+creation efforts of academic and linguistic communities, and to
+provide a free and open framework in which fonts may be shared and
+improved in partnership with others.
+
+The OFL allows the licensed fonts to be used, studied, modified and
+redistributed freely as long as they are not sold by themselves. The
+fonts, including any derivative works, can be bundled, embedded,
+redistributed and/or sold with any software provided that any reserved
+names are not used by derivative works. The fonts and derivatives,
+however, cannot be released under any other type of license. The
+requirement for fonts to remain under this license does not apply to
+any document created using the fonts or their derivatives.
+
+DEFINITIONS
+"Font Software" refers to the set of files released by the Copyright
+Holder(s) under this license and clearly marked as such. This may
+include source files, build scripts and documentation.
+
+"Reserved Font Name" refers to any names specified as such after the
+copyright statement(s).
+
+"Original Version" refers to the collection of Font Software
+components as distributed by the Copyright Holder(s).
+
+"Modified Version" refers to any derivative made by adding to,
+deleting, or substituting -- in part or in whole -- any of the
+components of the Original Version, by changing formats or by porting
+the Font Software to a new environment.
+
+"Author" refers to any designer, engineer, programmer, technical
+writer or other person who contributed to the Font Software.
+
+PERMISSION & CONDITIONS
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of the Font Software, to use, study, copy, merge, embed,
+modify, redistribute, and sell modified and unmodified copies of the
+Font Software, subject to the following conditions:
+
+1) Neither the Font Software nor any of its individual components, in
+Original or Modified Versions, may be sold by itself.
+
+2) Original or Modified Versions of the Font Software may be bundled,
+redistributed and/or sold with any software, provided that each copy
+contains the above copyright notice and this license. These can be
+included either as stand-alone text files, human-readable headers or
+in the appropriate machine-readable metadata fields within text or
+binary files as long as those fields can be easily viewed by the user.
+
+3) No Modified Version of the Font Software may use the Reserved Font
+Name(s) unless explicit written permission is granted by the
+corresponding Copyright Holder. This restriction only applies to the
+primary font name as presented to the users.
+
+4) The name(s) of the Copyright Holder(s) or the Author(s) of the Font
+Software shall not be used to promote, endorse or advertise any
+Modified Version, except to acknowledge the contribution(s) of the
+Copyright Holder(s) and the Author(s) or with their explicit written
+permission.
+
+5) The Font Software, modified or unmodified, in part or in whole,
+must be distributed entirely under this license, and must not be
+distributed under any other license. The requirement for fonts to
+remain under this license does not apply to any document created using
+the Font Software.
+
+TERMINATION
+This license becomes null and void if any of the above conditions are
+not met.
+
+DISCLAIMER
+THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
+OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE
+COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL
+DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM
+OTHER DEALINGS IN THE FONT SOFTWARE.
diff --git a/deps/noto-cjk-font-ttf/NEWS b/deps/noto-cjk-font-ttf/NEWS
new file mode 100644
index 0000000..9b5435e
--- /dev/null
+++ b/deps/noto-cjk-font-ttf/NEWS
@@ -0,0 +1,15 @@
+Noto Sans CJK 1.004 Release Notes
+=================================
+
+June 15, 2015
+
+- Restore correct vertical Japanese Kana forms
+
+The vertical kana glyphs that are made accessible via the 'vert' GSUB feature were
+inadvertently reverted to their Version 1.000 forms (except for those that were added in
+Version 1.002, meaning CIDs 65496 through 65505) in Version 1.002, which affected CIDs
+65166 through 65251, 65256 through 65258, 65260 through 65352, 65354 through 65369, and
+65471 through 65484. The correct forms, which were present in Version 1.001, are now
+included.
+
+See HISTORY for prior release notes.
diff --git a/deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild b/deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild
new file mode 100755
index 0000000..a3a761c
--- /dev/null
+++ b/deps/noto-cjk-font-ttf/noto-cjk-font-ttf.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Copyright 2015 Eric Hameleers, Eindhoven, NL
+# Copyright 2015 Patrick J. Volkerding, Sebeka, MN USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+
+PRGNAM=noto-cjk-font-ttf
+SRCNAM=NotoSansCJK
+VERSION=${VERSION:-"1.004"}
+ARCH=noarch
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+FONTDIR="/usr/share/fonts/TTF"
+mkdir -p $PKG$FONTDIR
+
+# Unzip the ZIP file with the Super OTC font:
+unzip $CWD/${SRCNAM}.ttc.zip -d $PKG$FONTDIR || exit 1
+chown -R root:root $PKG$FONTDIR
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Post-install script:
+mkdir -p $PKG/install
+cat << EOT > $PKG/install/doinst.sh
+# Update X font indexes and the font cache:
+if [ -x usr/bin/mkfontdir ]; then
+ chroot . /usr/bin/mkfontscale $FONTDIR
+ chroot . /usr/bin/mkfontdir $FONTDIR
+fi
+if [ -x usr/bin/fc-cache ]; then
+ chroot . /usr/bin/fc-cache $FONTDIR
+fi
+EOT
+
+# Add documentation:
+# Files downloaded from https://github.com/googlei18n/noto-cjk
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $CWD/HISTORY $CWD/LICENSE $CWD/NEWS $CWD/README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+
diff --git a/deps/noto-cjk-font-ttf/slack-desc b/deps/noto-cjk-font-ttf/slack-desc
new file mode 100644
index 0000000..92f61a8
--- /dev/null
+++ b/deps/noto-cjk-font-ttf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+noto-cjk-font-ttf: noto-cjk-font-ttf (Google's Noto CJK TrueType fonts)
+noto-cjk-font-ttf:
+noto-cjk-font-ttf: Noto CJK 'Super OTC' font: This packaging form carries the fonts for
+noto-cjk-font-ttf: each of Simplified Chinese, Traditional Chinese, Japanese, and
+noto-cjk-font-ttf: Korean multiplied by all 7 weights for each in one single font file.
+noto-cjk-font-ttf: In addition, each language provides monospace versions in Regular
+noto-cjk-font-ttf: and Bold weights. Once installed it will appear in font menus
+noto-cjk-font-ttf: as 36 separate fonts. This format is the easiest to install of all
+noto-cjk-font-ttf: the formats and takes the least space due to sharing between
+noto-cjk-font-ttf: the 36 pieces.
+noto-cjk-font-ttf: noto-cjk-font-ttf home: https://github.com/googlei18n/noto-cjk
diff --git a/deps/noto-font-ttf/.url b/deps/noto-font-ttf/.url
new file mode 100644
index 0000000..d44d13e
--- /dev/null
+++ b/deps/noto-font-ttf/.url
@@ -0,0 +1 @@
+https://github.com/googlei18n/noto-fonts/archive/v2015-09-29-license-adobe.tar.gz
diff --git a/deps/noto-font-ttf/noto-font-ttf.SlackBuild b/deps/noto-font-ttf/noto-font-ttf.SlackBuild
new file mode 100755
index 0000000..d5ee2ed
--- /dev/null
+++ b/deps/noto-font-ttf/noto-font-ttf.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Copyright 2015 Eric Hameleers, Eindhoven, NL
+# Copyright 2015 Patrick J. Volkerding, Sebeka, MN USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+
+PRGNAM=noto-font-ttf
+SRCNAM=noto-fonts
+VERSION=${VERSION:-"2015-09-29"}
+ARCH=noarch
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Font directory location depends on the X build prefix:
+# Determine what X we're running (the modular X returns the prefix
+# in the next command, while older versions stay silent):
+XPREF=$(pkg-config --variable=prefix x11)
+if [ "$XPREF" = "" ]; then
+ XPREF='/usr/X11R6'
+ FONTDIR="$XPREF/lib/X11/fonts/TTF"
+else
+ FONTDIR="/usr/share/fonts/TTF"
+fi
+mkdir -p $PKG$FONTDIR
+
+cd $TMP
+rm -rf ${PRGNAM}-${VERSION}
+mkdir ${PRGNAM}-${VERSION}
+cd ${PRGNAM}-${VERSION}
+tar xvf $CWD/${SRCNAM}-${VERSION}-license-adobe.tar.gz || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+cd ${SRCNAM}-${VERSION}-license-adobe
+
+# Install just the hinted fonts - unhinted fonts for Android and Mac;
+# Android and Mac ignore hinting information embedded in fonts:
+cp -a hinted/*.{ttf,ttc} $PKG$FONTDIR/
+chmod 644 $PKG$FONTDIR/*
+
+# Post-install script:
+mkdir -p $PKG/install
+cat << EOT > $PKG/install/doinst.sh
+# Update X font indexes and the font cache:
+if [ -x .$XPREF/bin/mkfontdir ]; then
+ chroot . $XPREF/bin/mkfontscale $FONTDIR
+ chroot . $XPREF/bin/mkfontdir $FONTDIR
+fi
+if [ -x .$XPREF/bin/fc-cache ]; then
+ chroot . $XPREF/bin/fc-cache $FONTDIR
+fi
+EOT
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ FAQ.md LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+
diff --git a/deps/noto-font-ttf/slack-desc b/deps/noto-font-ttf/slack-desc
new file mode 100644
index 0000000..47b1faf
--- /dev/null
+++ b/deps/noto-font-ttf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+noto-font-ttf: noto-font-ttf (Google's Noto TrueType fonts)
+noto-font-ttf:
+noto-font-ttf: Noto's goal is to provide a beautiful reading experience for all
+noto-font-ttf: languages. Currently, Noto covers all major languages of the world
+noto-font-ttf: and many others, including European, African, Middle Eastern, Indic,
+noto-font-ttf: South and Southeast Asian, Central Asian, American, and East Asian
+noto-font-ttf: languages. Support for Simplified Chinese, Traditional Chinese,
+noto-font-ttf: Japanese, and Korean was first added in July 2014.
+noto-font-ttf: All Noto fonts are included, except CJK and Emoji.
+noto-font-ttf:
+noto-font-ttf: noto-font-ttf home: https://github.com/googlei18n/noto-fonts
diff --git a/deps/qt-gstreamer/patches/qt-gstreamer_find_gstconfig.patch b/deps/qt-gstreamer/patches/qt-gstreamer_find_gstconfig.patch
new file mode 100644
index 0000000..7371a93
--- /dev/null
+++ b/deps/qt-gstreamer/patches/qt-gstreamer_find_gstconfig.patch
@@ -0,0 +1,29 @@
+Description: apply gstreamer pkg-config definitions
+ To ensure gstreamer builds correctly, pick up its cflags in FindGstreamer
+ and apply them to the build as definitions
+Author: José Manuel Santamaría <panfaust@gmail.com>
+Origin: vendor, https://lists.ubuntu.com/archives/kubuntu-devel/2015-August/009819.html
+Forwarded: https://lists.ubuntu.com/archives/kubuntu-devel/2015-August/009819.html
+Reviewed-by: Harald Sitter <sitter@kde.org>
+---
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+--- a/cmake/modules/FindGStreamer.cmake
++++ b/cmake/modules/FindGStreamer.cmake
+@@ -36,6 +36,7 @@ if (PKG_CONFIG_FOUND)
+ exec_program(${PKG_CONFIG_EXECUTABLE}
+ ARGS --variable pluginsdir gstreamer-${GSTREAMER_ABI_VERSION}
+ OUTPUT_VARIABLE PKG_GSTREAMER_PLUGIN_DIR)
++ set(GSTREAMER_DEFINITIONS ${PKG_GSTREAMER_CFLAGS})
+ endif()
+
+ find_library(GSTREAMER_LIBRARY
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -106,6 +106,7 @@ find_package(GObject)
+ macro_log_feature(GOBJECT_FOUND "GObject" "Required to build QtGLib" "http://www.gtk.org/" TRUE)
+
+ set(CMAKE_REQUIRED_INCLUDES ${QTGSTREAMER_INCLUDES})
++add_definitions(${GSTREAMER_DEFINITIONS})
+ include(CheckCXXSourceCompiles)
+ check_cxx_source_compiles("
+ #include <QtCore/QtGlobal>
diff --git a/deps/qt-gstreamer/qt-gstreamer.SlackBuild b/deps/qt-gstreamer/qt-gstreamer.SlackBuild
index 91950df..cc904ed 100755
--- a/deps/qt-gstreamer/qt-gstreamer.SlackBuild
+++ b/deps/qt-gstreamer/qt-gstreamer.SlackBuild
@@ -24,7 +24,7 @@
PKGNAM=qt-gstreamer
VERSION=${VERSION:-1.2.0}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:--j7}
@@ -67,6 +67,11 @@ cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
+
+# Find the gstreamer header files:
+cat $CWD/patches/qt-gstreamer_find_gstconfig.patch \
+ | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/deps/sip/sip.SlackBuild b/deps/sip/sip.SlackBuild
new file mode 100755
index 0000000..bbdc2ed
--- /dev/null
+++ b/deps/sip/sip.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackware.com>
+# Modified by Eric Hameleers <alien@slackware.com>
+
+
+PKGNAM=sip
+VERSION=${VERSION:-4.17}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i586 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+else
+ SLKCFLAGS="-O2"
+fi
+
+PYTHONVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
+PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()' )
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python configure.py \
+ -b "/usr/bin" \
+ -d "$PYTHONLIB" \
+ -e "/usr/include/python$PYTHONVER" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS"
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ LICENSE* COPYING* ChangeLog NEWS README TODO doc/* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+chown -R root:root $PKG/usr/doc
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz
+
diff --git a/deps/sip/slack-desc b/deps/sip/slack-desc
new file mode 100644
index 0000000..d2fae24
--- /dev/null
+++ b/deps/sip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sip: SIP (a tool for generating Python bindings)
+sip:
+sip: SIP is a tool that makes it very easy to create Python bindings for
+sip: C and C++ libraries. It was originally developed to create PyQt,
+sip: the Python bindings for the Qt toolkit, but can be used to create
+sip: bindings for any C or C++ library.
+sip:
+sip: Homepage: http://www.riverbankcomputing.co.uk/software/sip/
+sip:
+sip:
+sip:
diff --git a/deps/updates.SlackBuild b/deps/updates.SlackBuild
index 5076601..b538e04 100755
--- a/deps/updates.SlackBuild
+++ b/deps/updates.SlackBuild
@@ -23,11 +23,13 @@ ALLDEPS=" \
qt-gstreamer \
phonon \
phonon-gstreamer \
+ sip \
PyQt5 \
polkit-qt5-1 \
grantlee \
grantlee-qt4 \
wayland \
+ libxkbcommon \
json-glib \
libdbusmenu-gtk \
libindicator \
@@ -36,6 +38,8 @@ ALLDEPS=" \
lmdb \
libproxy \
telepathy \
+ noto-font-ttf \
+ noto-cjk-font-ttf \
"
# Not needed, conflicts with qt-gstreamer files
#qt-gstreamer0 \